package com.hikapro.backpack.model.entities;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
/**
 * Created by tariel on 24/07/16.
 */
public class SharingPicture {

    @SerializedName("id")
    @Expose
    private int id;

    @SerializedName("photo")
    @Expose
    private String photoUrl;

    @SerializedName("photo_thumb")
    @Expose
    private String photoThumbUrl;

    private String photoLocal;

    private String photoThumbLocal;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getPhotoThumbUrl() {
        return photoThumbUrl;
    }

    public void setPhotoThumbUrl(String photoThumbUrl) {
        this.photoThumbUrl = photoThumbUrl;
    }

    public String getPhotoLocal() {
        return photoLocal;
    }

    public void setPhotoLocal(String photoLocal) {
        this.photoLocal = photoLocal;
    }

    public String getPhotoThumbLocal() {
        return photoThumbLocal;
    }

    public void setPhotoThumbLocal(String photoThumbLocal) {
        this.photoThumbLocal = photoThumbLocal;
    }

    @Override
    public int hashCode() {
        return 31 * id;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        SharingPicture that = (SharingPicture) o;

        if (id != that.id)
            return false;
        return true;
    }

}
